Foreman - Feature #11150

Allow searching of facts as types other than string
07/19/2015 06:29 AM - Imri Zvik

Status: Closed
Priority: Normal
Assignee: Imri Zvik
Category: Search
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2554
Description

Today, all the facts are stored as strings, and therefore integer comparison doesn't work on them.
There should be a way to handle different types (integer, floats etc).

In order to avoid hard coding either in the database or the code, | was thinking about using ext_method in
app/models/concerns/hostext/search.rb which will either guess the type from the value, or use a setting and will then use CAST to
perform the right comparison.

Related issues:

Related to Foreman - Bug #11282: search on numeric facts is broken if using "~". Closed 08/04/2015
Related to Foreman - Bug #12194: Can't search for multiple facts in foreman 1... Closed 10/16/2015
Related to Foreman - Bug #12458: Facts search vulnerable to SQL injection Closed 11/12/2015
Related to Foreman - Bug #12959: Host search based on fact value using LIKE c... Closed 12/30/2015
Related to Foreman - Bug #13035: Host fact search using ~ operator doesn't au... Duplicate 01/07/2016
Related to Foreman - Bug #13838: Searching for hosts by facts does not return... Rejected 02/22/2016

Associated revisions

Revision 3f8e6¢33 - 07/24/2015 10:24 AM - Imri Zvik

Fixes #11150 - Allow searching of facts as types other than string

History

#1 - 07/19/2015 08:10 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2554 added
- Pull request deleted ()

#2 - 07/24/2015 10:33 AM - Dominic Cleal
- Category set to Search
- Assignee set to Imri Zvik

- translation missing: en.field_release set to 63

#3 - 07/24/2015 11:01 AM - Imri Zvik
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 3f8e6c33624f33acd65b371bf67549606397286¢.

#4 - 08/04/2015 06:49 AM - Dominic Cleal

- Related to Bug #11282: search on numeric facts is broken if using "~". added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3f8e6c33624f33acd65b371bf67549606397286e

#5 - 10/20/2015 07:42 AM - Dominic Cleal
- Related to Bug #12194: Can't search for multiple facts in foreman 1.10.0-RC1 added

#6 - 11/12/2015 11:04 AM - Dominic Cleal
- Related to Bug #12458: Facts search vulnerable to SQL injection added

#7 - 11/20/2015 05:30 AM - Dominic Cleal

- Related to Bug #12547: Search raises PGError on feeding a non-integer value for a integer field added

#8 - 11/20/2015 05:33 AM - Dominic Cleal

- Related to deleted (Bug #12547: Search raises PGError on feeding a non-integer value for a integer field)

#9 - 01/04/2016 03:32 AM - Dominic Cleal
- Related to Bug #12959: Host search based on fact value using LIKE clause does'nt work added

#10 - 01/07/2016 05:18 AM - Dominic Cleal
- Related to Bug #13035: Host fact search using ~ operator doesn't automatically add wildcards added

#11 - 02/22/2016 10:21 AM - Timo Goebel
- Related to Bug #13838: Searching for hosts by facts does not return all hosts added
